#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 turtle
version:              1.5.25
visibility:           public
id:                   turtle-1.5.25-9g46485jn8hHLzsJTYjW1p
key:                  turtle-1.5.25-9g46485jn8hHLzsJTYjW1p
license:              BSD-3-Clause
copyright:            2015 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.

    Features include:

    * Batteries included: Command an extended suite of predefined utilities

    * Interoperability: You can still run external shell commands

    * Portability: Works on Windows, OS X, and Linux

    * Exception safety: Safely acquire and release resources

    * Streaming: Transform or fold command output in constant space

    * Patterns: Use typed regular expressions that can parse structured values

    * Formatting: Type-safe @printf@-style text formatting

    * Modern: Supports @text@ and @system-filepath@

    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide

    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.

category:             System
abi:                  b6834767c6625fa62b311d2a633a6af8
exposed:              True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial

hidden-modules:       Turtle.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/turtle-1.5.25
library-dirs:         /usr/lib/ghc-9.0.2/site-local/turtle-1.5.25
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-turtle
hs-libraries:         HSturtle-1.5.25-9g46485jn8hHLzsJTYjW1p
depends:
    ansi-wl-pprint-0.6.9-J38Hi5Z6ALfKDwm9oxcbks
    async-2.2.4-A0B9IOxHH19KB8pu15mnoQ base-4.15.1.0
    bytestring-0.10.12.1 clock-0.8.3-DWdin8tKVZ4Ft8ewukNuFb
    containers-0.6.4.1 directory-1.3.6.2 exceptions-0.10.4
    foldl-1.4.12-7yOkMCQe9EL5iGGZYdeihZ
    hostname-1.0-4HkhnKdpx7vFbnzzYgAxYQ
    managed-1.0.9-D57Q6tda4Oi5Cz7tXkGkaQ
    optional-args-1.0.2-BWFqbdCL20SBMSniG5XGdE
    optparse-applicative-0.16.1.0-BKNPip5PGw2CnbOiekISfW
    process-1.6.13.2 stm-2.5.0.0
    streaming-commons-0.2.2.4-7JlI5MbGsBw8s0e1MZoIPl
    system-fileio-0.3.16.4-5Pq9nFg05qHEghgzOkmF4f
    system-filepath-0.4.14-EVTaCU7pNUV1GWUwBX9cSc
    temporary-1.3-C2gh2yFsbWf4gLeva6iXbE text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.6-CqWf0nRo3WV2QDNBDbQ7Fp

haddock-interfaces:   /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html:         /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

